/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.pojo.builder;

import org.fabric3.spi.builder.WiringException;

/**
 * @version $Rev: 5248 $ $Date: 2008-08-20 17:33:22 -0700 (Wed, 20 Aug 2008) $
 */
public class PropertyTransformException extends WiringException {
    private static final long serialVersionUID = -8543494515576133797L;

    public PropertyTransformException(String message) {
        super(message);
    }

    public PropertyTransformException(String message, String identifier, Throwable cause) {
        super(message, identifier, cause);
    }

    public PropertyTransformException(String message, Throwable cause) {
        super(message, cause);
    }
}
